Name:           nautilus-sound-converter
Version:        1.0.5
Release:        6%{?dist}
Summary:        Nautilus extension to convert audio files

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://code.google.com/p/nautilus-sound-converter/
Source0:        http://%{name}.googlecode.com/files/%{name}-%{version}.tar.bz2
Patch0:		nsc-gtk.patch
#Patch1:		nsc-gtk3.patch
Patch2:		nsc-translation.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  nautilus-devel >= 2.12.0
BuildRequires:  glib2-devel >= 2.16.0
BuildRequires:  gstreamer-devel >= 0.10.19
BuildRequires:  gnome-media-devel
BuildRequires:	intltool
BuildRequires:  perl(XML::Parser)
BuildRequires:	GConf2

Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2
# The bare minimum plugins needed.
Requires:       gstreamer-plugins-good
Requires:       gstreamer-plugins-base

Provides:	nautilus-flac-converter = %{version}-%{release}
Obsoletes:      nautilus-flac-converter < 0.0.5-2


%description
Adds a "Convert Sound File..." menu item to the context menu
of audio files. This opens a dialog where you can decide what audio
format you wish to convert the selected files to.


%prep
%setup -q
%patch0 -p1 -b .gtk
#%patch1 -p1 -b .gtk3
%patch2 -p1 -b .translation


%build
%configure --disable-static --disable-schemas
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}
find $RPM_BUILD_ROOT -name \*.la -exec rm {} \;


%pre
%gconf_schema_prepare %{name}


%post
%gconf_schema_upgrade %{name}


%preun
%gconf_schema_remove %{name}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README NEWS
%{_datadir}/%{name}/
%{_libdir}/nautilus/extensions-2.0/*.so
%{_sysconfdir}/gconf/schemas/%{name}.schemas


%changelog
* Sat Sep  4 2010 Brian Pepple <bpepple@fedoraproject.org> - 1.0.5-6
- Rebuild against gtk2.

* Fri Aug  6 2010 Brian Pepple <bpepple@fedoraproject.org> - 1.0.5-5
- Add patch to fix translations. (#616924)

* Tue Jul 27 2010 Brian Pepple <bpepple@fedoraproject.org> - 1.0.5-4
- Add patch to port to gtk3.

* Wed Jul 14 2010 Brian Pepple <bpepple@fedoraproject.org> - 1.0.5-3
- Rebuild for new gnome-media.

* Tue Jul  6 2010 Brian Pepple <bpepple@fedoraproject.org> - 1.0.5-2
-  Add patch to fix gtk header error.

* Tue Jul  6 2010 Brian Pepple <bpepple@fedoraproject.org> - 1.0.5-1
- Update to 1.0.5.

* Thu Apr 22 2010 Brian Pepple <bpepple@fedoraproject.org> - 1.0.4-1
- Update to 1.0.4.
- Remove clean section.
- Update spec for gconf macro changes.

* Mon Jan  4 2010 Brian Pepple <bpepple@fedoraproject.org> - 1.0.3-1
- Update to 1.0.3.

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Apr 25 2009 Brian Pepple <bpepple@fedoraproject.org> - 1.0.2-1
- Update to 1.0.2.

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb  8 2009 Brian Pepple <bpepple@fedoraproject.org> - 1.0.1-1
- Update to 1.0.1.

* Sat Jan  3 2009 Brian Pepple <bpepple@fedoraproject.org> - 1.0.0-1
- Update to 1.0.0.
- Drop oga patch.  Fixed upstream.

* Fri Nov 28 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.0-3
- Fix typo in patch.

* Fri Nov 28 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.0-2
- Add patch to use mime from *.oga files.

* Mon Oct 27 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.0-1
- Update to 0.7.0.

* Sat May 24 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.5.0-2
- Fix obsoletes.

* Sat May 24 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.5.0-1
- Initial Fedora spec.
